MediaWiki Issues

apps

#1

I have just installed a advanced mode one-click install version of MediaWiki and when modifying the LocalSettings.php file as required to be able to load FCKeditor rather than the basic editor included in the app by adding the one line at the end of the file according to their instructions…

require_once("$IP/extensions/FCKeditor/FCKeditor.php");

I end up getting the following errors rather than a working wikimedia install

Warning: require(/home/aquaweb/portfolio/wiki/extensions/FCKeditor/fckeditor/fckeditor.php) [function.require]: failed to open stream: No such file or directory in /home/aquaweb/portfolio/wiki/includes/AutoLoader.php on line 654

Fatal error: require() [function.require]: Failed opening required ‘/home/aquaweb/portfolio/wiki/extensions/FCKeditor/fckeditor/fckeditor.php’ (include_path=’/home/aquaweb/portfolio/wiki:/home/aquaweb/portfolio/wiki/includes:/home/aquaweb/portfolio/wiki/languages:.:/usr/local/lib/php:/usr/local/php5/lib/pear’) in /home/aquaweb/portfolio/wiki/includes/AutoLoader.php on line 654

Is there something I am missing or doing wrong here since the FCKeditor files are all there under the /wiki/extensions/FCKeditor folder as they should be according to install instruction provided at the MediaWiki website


#2

My guess is that there’s some additional FCKeditor files you still have to download and install.


#3

Hello

Same issue…

Did you solve it?

I’ve downloaded all the directories http://svn.wikimedia.org/svnroot/mediawiki/trunk/extensions/FCKeditor/

and uploaded it to /extensions/FCKeditor…

Just added

require_once("$IP/extensions/FCKeditor/FCKeditor.php");

on the last line of LocalSettings.php

Warning: require(/homez.28/test/www/interne_test/wiki/extensions/FCKeditor/fckeditor/fckeditor.php) [function.require]: failed to open stream: No such file or directory in /homez.28/test/www/interne_test/wiki/includes/AutoLoader.php on line 654

Fatal error: require() [function.require]: Failed opening required ‘/homez.28/test/www/interne_test/wiki/extensions/FCKeditor/fckeditor/fckeditor.php’ (include_path=’/homez.28/test/www/interne_test/wiki:/homez.28/test/www/interne_test/wiki/includes:/homez.28/test/www/interne_test/wiki/languages:.:/usr/local/lib/php’) in /homez.28/test/www/interne_test/wiki/includes/AutoLoader.php on line 654


#4

Just a quick thing i spotted on there…

require_once("$IP/extensions/FCKeditor/FCKeditor.php");

and

Warning: require(/homez.28/test/www/interne_test/wiki/extensions/FCKeditor/fckeditor/fckeditor.php)

on the 2nd one FCKeditor is repeated twice as a directory/folder


#5

I don’t know what “/homez.28” is supposed to be, but it’s not a path that would ever exist on any of our servers. Are you sure you’re in the right place?